Index: src/isdn/Q931StateTE.c
===================================================================
--- src/isdn/Q931StateTE.c	(revision 495)
+++ src/isdn/Q931StateTE.c	(working copy)
@@ -63,65 +63,65 @@
 *****************************************************************************/
 void Q931CreateTE(L3UCHAR i)
 {
-    Q931SetMesProc(Q931mes_ALERTING,            i,Q931ProcAlertingTE,          Q931Umes_Alerting,          Q931Pmes_Alerting);
-    Q931SetMesProc(Q931mes_CALL_PROCEEDING,     i,Q931ProcCallProceedingTE,    Q931Umes_CallProceeding,    Q931Pmes_CallProceeding);
-    Q931SetMesProc(Q931mes_CONNECT,             i,Q931ProcConnectTE,           Q931Umes_Connect,           Q931Pmes_Connect);
-    Q931SetMesProc(Q931mes_CONNECT_ACKNOWLEDGE, i,Q931ProcConnectAckTE,        Q931Umes_ConnectAck,        Q931Pmes_ConnectAck);
-    Q931SetMesProc(Q931mes_PROGRESS,            i,Q931ProcProgressTE,          Q931Umes_Progress,          Q931Pmes_Progress);
-    Q931SetMesProc(Q931mes_SETUP,               i,Q931ProcSetupTE,             Q931Umes_Setup,             Q931Pmes_Setup);
-    Q931SetMesProc(Q931mes_SETUP_ACKNOWLEDGE,   i,Q931ProcSetupAckTE,          Q931Umes_SetupAck,          Q931Pmes_SetupAck);
-    Q931SetMesProc(Q931mes_RESUME,              i,Q931ProcResumeTE,            Q931Umes_Resume,            Q931Pmes_Resume);
-    Q931SetMesProc(Q931mes_RESUME_ACKNOWLEDGE,  i,Q931ProcResumeAckTE,         Q931Umes_ResumeAck,         Q931Pmes_ResumeAck);
-    Q931SetMesProc(Q931mes_RESUME_REJECT,       i,Q931ProcResumeRejectTE,      Q931Umes_ResumeReject,      Q931Pmes_ResumeReject);
-    Q931SetMesProc(Q931mes_SUSPEND,             i,Q931ProcSuspendTE,           Q931Umes_Suspend,           Q931Pmes_Suspend);
-    Q931SetMesProc(Q931mes_SUSPEND_ACKNOWLEDGE, i,Q931ProcSuspendAckTE,        Q931Umes_SuspendAck,        Q931Pmes_SuspendAck);
-    Q931SetMesProc(Q931mes_SUSPEND_REJECT,      i,Q931ProcSuspendRejectTE,     Q931Umes_SuspendReject,     Q931Pmes_SuspendReject);
-    Q931SetMesProc(Q931mes_USER_INFORMATION,    i,Q931ProcUserInformationTE,   Q931Umes_UserInformation,   Q931Pmes_UserInformation);
-    Q931SetMesProc(Q931mes_DISCONNECT,          i,Q931ProcDisconnectTE,        Q931Umes_Disconnect,        Q931Pmes_Disconnect);
-    Q931SetMesProc(Q931mes_RELEASE,             i,Q931ProcReleaseTE,           Q931Umes_Release,           Q931Pmes_Release);
-    Q931SetMesProc(Q931mes_RELEASE_COMPLETE,    i,Q931ProcReleaseCompleteTE,   Q931Umes_ReleaseComplete,   Q931Pmes_ReleaseComplete);
-    Q931SetMesProc(Q931mes_RESTART,             i,Q931ProcRestartTE,           Q931Umes_Restart,           Q931Pmes_Restart);
-    Q931SetMesProc(Q931mes_RESTART_ACKNOWLEDGE, i,Q931ProcRestartAckTE,        Q931Umes_RestartAck,        Q931Pmes_RestartAck);
-    Q931SetMesProc(Q931mes_CONGESTION_CONTROL,  i,Q931ProcCongestionControlTE, Q931Umes_CongestionControl, Q931Pmes_CongestionControl);
-    Q931SetMesProc(Q931mes_INFORMATION,         i,Q931ProcInformationTE,       Q931Umes_Information,       Q931Pmes_Information);
-    Q931SetMesProc(Q931mes_NOTIFY,              i,Q931ProcNotifyTE,            Q931Umes_Notify,            Q931Pmes_Notify);
-    Q931SetMesProc(Q931mes_STATUS,              i,Q931ProcStatusTE,            Q931Umes_Status,            Q931Pmes_Status);
-    Q931SetMesProc(Q931mes_STATUS_ENQUIRY,      i,Q931ProcStatusEnquiryTE,     Q931Umes_StatusEnquiry,     Q931Pmes_StatusEnquiry);
-    Q931SetMesProc(Q931mes_SEGMENT,             i,Q931ProcSegmentTE,           Q931Umes_Segment,           Q931Pmes_Segment);
+	Q931SetMesProc(Q931mes_ALERTING,            i,Q931ProcAlertingTE,          Q931Umes_Alerting,          Q931Pmes_Alerting);
+	Q931SetMesProc(Q931mes_CALL_PROCEEDING,     i,Q931ProcCallProceedingTE,    Q931Umes_CallProceeding,    Q931Pmes_CallProceeding);
+	Q931SetMesProc(Q931mes_CONNECT,             i,Q931ProcConnectTE,           Q931Umes_Connect,           Q931Pmes_Connect);
+	Q931SetMesProc(Q931mes_CONNECT_ACKNOWLEDGE, i,Q931ProcConnectAckTE,        Q931Umes_ConnectAck,        Q931Pmes_ConnectAck);
+	Q931SetMesProc(Q931mes_PROGRESS,            i,Q931ProcProgressTE,          Q931Umes_Progress,          Q931Pmes_Progress);
+	Q931SetMesProc(Q931mes_SETUP,               i,Q931ProcSetupTE,             Q931Umes_Setup,             Q931Pmes_Setup);
+	Q931SetMesProc(Q931mes_SETUP_ACKNOWLEDGE,   i,Q931ProcSetupAckTE,          Q931Umes_SetupAck,          Q931Pmes_SetupAck);
+	Q931SetMesProc(Q931mes_RESUME,              i,Q931ProcResumeTE,            Q931Umes_Resume,            Q931Pmes_Resume);
+	Q931SetMesProc(Q931mes_RESUME_ACKNOWLEDGE,  i,Q931ProcResumeAckTE,         Q931Umes_ResumeAck,         Q931Pmes_ResumeAck);
+	Q931SetMesProc(Q931mes_RESUME_REJECT,       i,Q931ProcResumeRejectTE,      Q931Umes_ResumeReject,      Q931Pmes_ResumeReject);
+	Q931SetMesProc(Q931mes_SUSPEND,             i,Q931ProcSuspendTE,           Q931Umes_Suspend,           Q931Pmes_Suspend);
+	Q931SetMesProc(Q931mes_SUSPEND_ACKNOWLEDGE, i,Q931ProcSuspendAckTE,        Q931Umes_SuspendAck,        Q931Pmes_SuspendAck);
+	Q931SetMesProc(Q931mes_SUSPEND_REJECT,      i,Q931ProcSuspendRejectTE,     Q931Umes_SuspendReject,     Q931Pmes_SuspendReject);
+	Q931SetMesProc(Q931mes_USER_INFORMATION,    i,Q931ProcUserInformationTE,   Q931Umes_UserInformation,   Q931Pmes_UserInformation);
+	Q931SetMesProc(Q931mes_DISCONNECT,          i,Q931ProcDisconnectTE,        Q931Umes_Disconnect,        Q931Pmes_Disconnect);
+	Q931SetMesProc(Q931mes_RELEASE,             i,Q931ProcReleaseTE,           Q931Umes_Release,           Q931Pmes_Release);
+	Q931SetMesProc(Q931mes_RELEASE_COMPLETE,    i,Q931ProcReleaseCompleteTE,   Q931Umes_ReleaseComplete,   Q931Pmes_ReleaseComplete);
+	Q931SetMesProc(Q931mes_RESTART,             i,Q931ProcRestartTE,           Q931Umes_Restart,           Q931Pmes_Restart);
+	Q931SetMesProc(Q931mes_RESTART_ACKNOWLEDGE, i,Q931ProcRestartAckTE,        Q931Umes_RestartAck,        Q931Pmes_RestartAck);
+	Q931SetMesProc(Q931mes_CONGESTION_CONTROL,  i,Q931ProcCongestionControlTE, Q931Umes_CongestionControl, Q931Pmes_CongestionControl);
+	Q931SetMesProc(Q931mes_INFORMATION,         i,Q931ProcInformationTE,       Q931Umes_Information,       Q931Pmes_Information);
+	Q931SetMesProc(Q931mes_NOTIFY,              i,Q931ProcNotifyTE,            Q931Umes_Notify,            Q931Pmes_Notify);
+	Q931SetMesProc(Q931mes_STATUS,              i,Q931ProcStatusTE,            Q931Umes_Status,            Q931Pmes_Status);
+	Q931SetMesProc(Q931mes_STATUS_ENQUIRY,      i,Q931ProcStatusEnquiryTE,     Q931Umes_StatusEnquiry,     Q931Pmes_StatusEnquiry);
+	Q931SetMesProc(Q931mes_SEGMENT,             i,Q931ProcSegmentTE,           Q931Umes_Segment,           Q931Pmes_Segment);
 
-    Q931SetMesProc(Q932mes_FACILITY,            i,Q932ProcFacilityTE,          Q932Umes_Facility,          Q932Pmes_Facility);
-    Q931SetMesProc(Q932mes_HOLD,                i,Q932ProcHoldTE,		       Q932Umes_Hold,              Q932Pmes_Hold);
-    Q931SetMesProc(Q932mes_HOLD_ACKNOWLEDGE,    i,Q932ProcHoldAckTE,           Q932Umes_HoldAck,           Q932Pmes_HoldAck);
-    Q931SetMesProc(Q932mes_HOLD_REJECT,         i,Q932ProcHoldRejectTE,        Q932Umes_HoldReject,        Q932Pmes_HoldReject);
-    Q931SetMesProc(Q932mes_REGISTER,            i,Q932ProcRegisterTE,          Q932Umes_Register,          Q932Pmes_Register);
-    Q931SetMesProc(Q932mes_RETRIEVE,            i,Q932ProcRetrieveTE,          Q932Umes_Retrieve,          Q932Pmes_Retrieve);
-    Q931SetMesProc(Q932mes_RETRIEVE_ACKNOWLEDGE,i,Q932ProcRetrieveAckTE,       Q932Umes_RetrieveAck,       Q932Pmes_RetrieveAck);
-    Q931SetMesProc(Q932mes_RETRIEVE_REJECT,     i,Q932ProcRetrieveRejectTE,    Q932Umes_RetrieveReject,    Q932Pmes_RetrieveReject);
+	Q931SetMesProc(Q932mes_FACILITY,            i,Q932ProcFacilityTE,          Q932Umes_Facility,          Q932Pmes_Facility);
+	Q931SetMesProc(Q932mes_HOLD,                i,Q932ProcHoldTE,		       Q932Umes_Hold,              Q932Pmes_Hold);
+	Q931SetMesProc(Q932mes_HOLD_ACKNOWLEDGE,    i,Q932ProcHoldAckTE,           Q932Umes_HoldAck,           Q932Pmes_HoldAck);
+	Q931SetMesProc(Q932mes_HOLD_REJECT,         i,Q932ProcHoldRejectTE,        Q932Umes_HoldReject,        Q932Pmes_HoldReject);
+	Q931SetMesProc(Q932mes_REGISTER,            i,Q932ProcRegisterTE,          Q932Umes_Register,          Q932Pmes_Register);
+	Q931SetMesProc(Q932mes_RETRIEVE,            i,Q932ProcRetrieveTE,          Q932Umes_Retrieve,          Q932Pmes_Retrieve);
+	Q931SetMesProc(Q932mes_RETRIEVE_ACKNOWLEDGE,i,Q932ProcRetrieveAckTE,       Q932Umes_RetrieveAck,       Q932Pmes_RetrieveAck);
+	Q931SetMesProc(Q932mes_RETRIEVE_REJECT,     i,Q932ProcRetrieveRejectTE,    Q932Umes_RetrieveReject,    Q932Pmes_RetrieveReject);
 
 	/* Set up the IE encoder/decoder handle table.*/ 
-    Q931SetIEProc(Q931ie_SEGMENTED_MESSAGE,                i,Q931Pie_Segment,			Q931Uie_Segment);
-    Q931SetIEProc(Q931ie_BEARER_CAPABILITY,                i,Q931Pie_BearerCap,			Q931Uie_BearerCap);
-    Q931SetIEProc(Q931ie_CAUSE,                            i,Q931Pie_Cause,				Q931Uie_Cause);
-    Q931SetIEProc(Q931ie_CALL_IDENTITY,                    i,Q931Pie_CallID,			Q931Uie_CallID);
-    Q931SetIEProc(Q931ie_CALL_STATE,                       i,Q931Pie_CallState,			Q931Uie_CallState);
-    Q931SetIEProc(Q931ie_CHANNEL_IDENTIFICATION,           i,Q931Pie_ChanID,			Q931Uie_ChanID);
-    Q931SetIEProc(Q931ie_PROGRESS_INDICATOR,               i,Q931Pie_ProgInd,			Q931Uie_ProgInd);
-    Q931SetIEProc(Q931ie_NETWORK_SPECIFIC_FACILITIES,      i,Q931Pie_NetFac,			Q931Uie_NetFac);
-    Q931SetIEProc(Q931ie_NOTIFICATION_INDICATOR,           i,Q931Pie_NotifInd,			Q931Uie_NotifInd);
-    Q931SetIEProc(Q931ie_DISPLAY,                          i,Q931Pie_Display,			Q931Uie_Display);
-    Q931SetIEProc(Q931ie_DATETIME,                         i,Q931Pie_DateTime,			Q931Uie_DateTime);
-    Q931SetIEProc(Q931ie_KEYPAD_FACILITY,                  i,Q931Pie_KeypadFac,			Q931Uie_KeypadFac);
-    Q931SetIEProc(Q931ie_SIGNAL,                           i,Q931Pie_Signal,			Q931Uie_Signal);
-    Q931SetIEProc(Q931ie_TRANSIT_DELAY_SELECTION_AND_IND,  i,Q931Pie_TransNetSel,		Q931Uie_TransNetSel);
-    Q931SetIEProc(Q931ie_CALLING_PARTY_NUMBER,             i,Q931Pie_CallingNum,		Q931Uie_CallingNum);
-    Q931SetIEProc(Q931ie_CALLING_PARTY_SUBADDRESS,         i,Q931Pie_CallingSub,		Q931Uie_CallingSub);
-    Q931SetIEProc(Q931ie_CALLED_PARTY_NUMBER,              i,Q931Pie_CalledNum,			Q931Uie_CalledNum);
-    Q931SetIEProc(Q931ie_CALLED_PARTY_SUBADDRESS,          i,Q931Pie_CalledSub,			Q931Uie_CalledSub);
-    Q931SetIEProc(Q931ie_TRANSIT_NETWORK_SELECTION,        i,Q931Pie_TransNetSel,		Q931Uie_TransNetSel);
-    Q931SetIEProc(Q931ie_RESTART_INDICATOR,                i,Q931Pie_RestartInd,		Q931Uie_RestartInd);
-    Q931SetIEProc(Q931ie_LOW_LAYER_COMPATIBILITY,          i,Q931Pie_LLComp,			Q931Uie_LLComp);
-    Q931SetIEProc(Q931ie_HIGH_LAYER_COMPATIBILITY,         i,Q931Pie_HLComp,			Q931Uie_HLComp);
-    Q931SetIEProc(Q931ie_USER_USER,                        i,Q931Pie_UserUser,			Q931Uie_UserUser);
+	Q931SetIEProc(Q931ie_SEGMENTED_MESSAGE,                i,Q931Pie_Segment,			Q931Uie_Segment);
+	Q931SetIEProc(Q931ie_BEARER_CAPABILITY,                i,Q931Pie_BearerCap,			Q931Uie_BearerCap);
+	Q931SetIEProc(Q931ie_CAUSE,                            i,Q931Pie_Cause,				Q931Uie_Cause);
+	Q931SetIEProc(Q931ie_CALL_IDENTITY,                    i,Q931Pie_CallID,			Q931Uie_CallID);
+	Q931SetIEProc(Q931ie_CALL_STATE,                       i,Q931Pie_CallState,			Q931Uie_CallState);
+	Q931SetIEProc(Q931ie_CHANNEL_IDENTIFICATION,           i,Q931Pie_ChanID,			Q931Uie_ChanID);
+	Q931SetIEProc(Q931ie_PROGRESS_INDICATOR,               i,Q931Pie_ProgInd,			Q931Uie_ProgInd);
+	Q931SetIEProc(Q931ie_NETWORK_SPECIFIC_FACILITIES,      i,Q931Pie_NetFac,			Q931Uie_NetFac);
+	Q931SetIEProc(Q931ie_NOTIFICATION_INDICATOR,           i,Q931Pie_NotifInd,			Q931Uie_NotifInd);
+	Q931SetIEProc(Q931ie_DISPLAY,                          i,Q931Pie_Display,			Q931Uie_Display);
+	Q931SetIEProc(Q931ie_DATETIME,                         i,Q931Pie_DateTime,			Q931Uie_DateTime);
+	Q931SetIEProc(Q931ie_KEYPAD_FACILITY,                  i,Q931Pie_KeypadFac,			Q931Uie_KeypadFac);
+	Q931SetIEProc(Q931ie_SIGNAL,                           i,Q931Pie_Signal,			Q931Uie_Signal);
+	Q931SetIEProc(Q931ie_TRANSIT_DELAY_SELECTION_AND_IND,  i,Q931Pie_TransNetSel,		Q931Uie_TransNetSel);
+	Q931SetIEProc(Q931ie_CALLING_PARTY_NUMBER,             i,Q931Pie_CallingNum,		Q931Uie_CallingNum);
+	Q931SetIEProc(Q931ie_CALLING_PARTY_SUBADDRESS,         i,Q931Pie_CallingSub,		Q931Uie_CallingSub);
+	Q931SetIEProc(Q931ie_CALLED_PARTY_NUMBER,              i,Q931Pie_CalledNum,			Q931Uie_CalledNum);
+	Q931SetIEProc(Q931ie_CALLED_PARTY_SUBADDRESS,          i,Q931Pie_CalledSub,			Q931Uie_CalledSub);
+	Q931SetIEProc(Q931ie_TRANSIT_NETWORK_SELECTION,        i,Q931Pie_TransNetSel,		Q931Uie_TransNetSel);
+	Q931SetIEProc(Q931ie_RESTART_INDICATOR,                i,Q931Pie_RestartInd,		Q931Uie_RestartInd);
+	Q931SetIEProc(Q931ie_LOW_LAYER_COMPATIBILITY,          i,Q931Pie_LLComp,			Q931Uie_LLComp);
+	Q931SetIEProc(Q931ie_HIGH_LAYER_COMPATIBILITY,         i,Q931Pie_HLComp,			Q931Uie_HLComp);
+	Q931SetIEProc(Q931ie_USER_USER,                        i,Q931Pie_UserUser,			Q931Uie_UserUser);
 
 	/* The following define a state machine. The point is that the Message	*/
 	/* procs can when search this to find out if the message/state			*/
@@ -214,8 +214,8 @@
 *****************************************************************************/
 L3INT Q931ProcAlertingTE(Q931_TrunkInfo_t *pTrunk, L3UCHAR * buf, L3INT iFrom)
 {
-    L3INT callIndex;
-    L3INT ret=Q931E_NO_ERROR;
+	L3INT callIndex;
+	L3INT ret=Q931E_NO_ERROR;
 	Q931mes_Header *pMes = (Q931mes_Header *)&buf[Q931L4HeaderSpace];
 
 	/* Find the call using CRV */
@@ -224,14 +224,14 @@
 		return ret;
 
 	/* Reset 4 sec timer. */
-    Q931StartTimer(pTrunk, callIndex, 303);
+	Q931StartTimer(pTrunk, callIndex, 303);
 	if(iFrom == 4)
 	{
-        ret = Q931Tx32(pTrunk,buf,pMes->Size);
+		ret = Q931Tx32Data(pTrunk,buf,pMes->Size);
 	}
-	else if (iFrom ==2)
+	else if (iFrom == 2)
 	{
-        ret = Q931Tx34(pTrunk,buf,pMes->Size);
+		ret = Q931Tx34(pTrunk,buf,pMes->Size);
 	}
 	return ret;
 }
@@ -243,8 +243,8 @@
 *****************************************************************************/
 L3INT Q931ProcCallProceedingTE(Q931_TrunkInfo_t *pTrunk, L3UCHAR * buf, L3INT iFrom)
 {
-    L3INT callIndex;
-    L3INT ret=Q931E_NO_ERROR;
+	L3INT callIndex;
+	L3INT ret=Q931E_NO_ERROR;
 	Q931mes_Header *pMes = (Q931mes_Header *)&buf[Q931L4HeaderSpace];
 
 	/* Find the call using CRV */
@@ -252,19 +252,19 @@
 	if(ret != Q931E_NO_ERROR)
 		return ret;
 
-	/* TODO chack against state table for illegal or unexpected message here*/
+	/* TODO chack against state table for illegal or unexpected message here */
 
 	/* TODO - Set correct timer here */
-    Q931StartTimer(pTrunk, callIndex, 303);
+	Q931StartTimer(pTrunk, callIndex, 303);
 	if(iFrom == 4)
 	{
-		/* TODO Add proc here*/
-        ret = Q931Tx32(pTrunk,buf,pMes->Size);
+		/* TODO Add proc here */
+		ret = Q931Tx32Data(pTrunk,buf,pMes->Size);
 	}
-	else if (iFrom ==2)
+	else if (iFrom == 2)
 	{
-		/* TODO Add proc here*/
-        ret = Q931Tx34(pTrunk,buf,pMes->Size);
+		/* TODO Add proc here */
+		ret = Q931Tx34(pTrunk,buf,pMes->Size);
 	}
 	return ret;
 }
@@ -276,8 +276,8 @@
 *****************************************************************************/
 L3INT Q931ProcConnectTE(Q931_TrunkInfo_t *pTrunk, L3UCHAR * buf, L3INT iFrom)
 {
-    L3INT callIndex;
-    L3INT ret=Q931E_NO_ERROR;
+	L3INT callIndex;
+	L3INT ret=Q931E_NO_ERROR;
 	Q931mes_Header *pMes = (Q931mes_Header *)&buf[Q931L4HeaderSpace];
 
 	/* Find the call using CRV */
@@ -285,19 +285,19 @@
 	if(ret != Q931E_NO_ERROR)
 		return ret;
 
-	/* TODO chack against state table for illegal or unexpected message here*/
+	/* TODO chack against state table for illegal or unexpected message here */
 
 	/* TODO - Set correct timer here */
-    Q931StartTimer(pTrunk, callIndex, 303);
+	Q931StartTimer(pTrunk, callIndex, 303);
 	if(iFrom == 4)
 	{
-		/* TODO Add proc here*/
-        ret = Q931Tx32(pTrunk,buf,pMes->Size);
+		/* TODO Add proc here */
+		ret = Q931Tx32Data(pTrunk,buf,pMes->Size);
 	}
-	else if (iFrom ==2)
+	else if (iFrom == 2)
 	{
-		/* TODO Add proc here*/
-        ret = Q931Tx34(pTrunk,buf,pMes->Size);
+		/* TODO Add proc here */
+		ret = Q931Tx34(pTrunk,buf,pMes->Size);
 		if (pTrunk->autoConnectAck) {
 			Q931AckConnect(pTrunk, buf);
 		}
@@ -313,8 +313,8 @@
 *****************************************************************************/
 L3INT Q931ProcConnectAckTE(Q931_TrunkInfo_t *pTrunk, L3UCHAR * buf, L3INT iFrom)
 {
-    L3INT callIndex;
-    L3INT ret=Q931E_NO_ERROR;
+	L3INT callIndex;
+	L3INT ret=Q931E_NO_ERROR;
 	Q931mes_Header *pMes = (Q931mes_Header *)&buf[Q931L4HeaderSpace];
 
 	/* Find the call using CRV */
@@ -322,19 +322,19 @@
 	if(ret != Q931E_NO_ERROR)
 		return ret;
 
-	/* TODO chack against state table for illegal or unexpected message here*/
+	/* TODO chack against state table for illegal or unexpected message here */
 
 	/* TODO - Set correct timer here */
-    Q931StartTimer(pTrunk, callIndex, 303);
+	Q931StartTimer(pTrunk, callIndex, 303);
 	if(iFrom == 4)
 	{
-		/* TODO Add proc here*/
-        ret = Q931Tx32(pTrunk,buf,pMes->Size);
+		/* TODO Add proc here */
+		ret = Q931Tx32Data(pTrunk,buf,pMes->Size);
 	}
-	else if (iFrom ==2)
+	else if (iFrom == 2)
 	{
-		/* TODO Add proc here*/
-        ret = Q931Tx34(pTrunk,buf,pMes->Size);
+		/* TODO Add proc here */
+		ret = Q931Tx34(pTrunk,buf,pMes->Size);
 	}
 	return ret;
 }
@@ -346,8 +346,8 @@
 *****************************************************************************/
 L3INT Q931ProcProgressTE(Q931_TrunkInfo_t *pTrunk, L3UCHAR * buf, L3INT iFrom)
 {
-    L3INT callIndex;
-    L3INT ret=Q931E_NO_ERROR;
+	L3INT callIndex;
+	L3INT ret=Q931E_NO_ERROR;
 	Q931mes_Header *pMes = (Q931mes_Header *)&buf[Q931L4HeaderSpace];
 
 	/* Find the call using CRV */
@@ -355,19 +355,19 @@
 	if(ret != Q931E_NO_ERROR)
 		return ret;
 
-	/* TODO chack against state table for illegal or unexpected message here*/
+	/* TODO chack against state table for illegal or unexpected message here */
 
 	/* TODO - Set correct timer here */
-    Q931StartTimer(pTrunk, callIndex, 303);
+	Q931StartTimer(pTrunk, callIndex, 303);
 	if(iFrom == 4)
 	{
-		/* TODO Add proc here*/
-        ret = Q931Tx32(pTrunk,buf,pMes->Size);
+		/* TODO Add proc here */
+		ret = Q931Tx32Data(pTrunk,buf,pMes->Size);
 	}
-	else if (iFrom ==2)
+	else if (iFrom == 2)
 	{
-		/* TODO Add proc here*/
-        ret = Q931Tx34(pTrunk,buf,pMes->Size);
+		/* TODO Add proc here */
+		ret = Q931Tx34(pTrunk,buf,pMes->Size);
 	}
 	return ret;
 }
@@ -379,73 +379,78 @@
 *****************************************************************************/
 L3INT Q931ProcSetupTE(Q931_TrunkInfo_t *pTrunk, L3UCHAR * buf, L3INT iFrom)
 {
-    L3INT rc=0;
+	L3INT rc=0;
 	Q931mes_Generic *pMes = (Q931mes_Generic *)&buf[Q931L4HeaderSpace];
-    L3INT callIndex;
-    L3INT ret=Q931E_NO_ERROR;
+	L3INT callIndex;
+	L3INT ret=Q931E_NO_ERROR;
 
-    /* Reject SETUP on existing calls */
-    if(Q931GetCallState(pTrunk, pMes->CRV) != Q931_U0)
-    {
-        Q931Disconnect(pTrunk, iFrom, pMes->CRV, 81);
-        return Q931E_UNEXPECTED_MESSAGE;
-    }
+	/* Reject SETUP on existing calls */
+	if(Q931GetCallState(pTrunk, pMes->CRV) != Q931_U0)
+	{
+		Q931Disconnect(pTrunk, iFrom, pMes->CRV, 81);
+		return Q931E_UNEXPECTED_MESSAGE;
+	}
 
 	/* outgoing call */
-    if(iFrom == 4)
-    {
-        ret = Q931CreateCRV(pTrunk, &callIndex);
-        if(ret)
-            return ret;
-        pMes->CRV = pTrunk->call[callIndex].CRV;
+	if(iFrom == 4)
+	{
+		ret = Q931CreateCRV(pTrunk, &callIndex);
+		if(ret)
+			return ret;
+		pMes->CRV = pTrunk->call[callIndex].CRV;
 
-        ret = Q931Tx32(pTrunk,buf,pMes->Size);
-        if(ret)
-            return ret;
+		/*
+		 * PTMP NT should use DL-UNIT DATA broadcast (?)
+		 */ 
+		if(pTrunk->TrunkType == Q931_TrType_BRI_PTMP && pTrunk->NetUser == Q931_NT)
+			ret = Q931Tx32UnitData(pTrunk,buf,pMes->Size);
+		else
+			ret = Q931Tx32Data(pTrunk,buf,pMes->Size);
 
-        Q931StartTimer(pTrunk, callIndex, 303);
+		if(ret)
+			return ret;
 
+		Q931StartTimer(pTrunk, callIndex, 303);
+
 		/* TODO: Add this back when we get the state stuff more filled out */
-        //Q931SetState(pTrunk, callIndex, Q931_U1);
-    }
+		//Q931SetState(pTrunk, callIndex, Q931_U1);
+	}
 	/* incoming call */
-    else 
-    {
-        /* Locate free CRV entry and store info */
-        ret = Q931AllocateCRV(pTrunk, pMes->CRV, &callIndex);
-        if(ret != Q931E_NO_ERROR)
-        {
-            /* Not possible to allocate CRV entry, so must reject call */
+	else 
+	{
+		/* Locate free CRV entry and store info */
+		ret = Q931AllocateCRV(pTrunk, pMes->CRV, &callIndex);
+		if(ret != Q931E_NO_ERROR)
+		{
+			/* Not possible to allocate CRV entry, so must reject call */
+			Q931Disconnect(pTrunk, iFrom, pMes->CRV, 42);
 
-            Q931Disconnect(pTrunk, iFrom, pMes->CRV, 42);
+			return ret;
+		}
 
-            return ret;
-        }
-
-        /* Send setup indication to user */
-        ret = Q931Tx34(pTrunk,(L3UCHAR*)pMes,pMes->Size);
+		/* Send setup indication to user */
+		ret = Q931Tx34(pTrunk,(L3UCHAR*)pMes,pMes->Size);
 		if(ret != Q931E_NO_ERROR) {
 			if (pTrunk->autoSetupAck) {
 				Q931AckSetup(pTrunk, buf);
 			}
-            return ret;
+			return ret;
 		}
 		else
 		{
 			/* Must be full queue, meaning we can't process the call */
 			/* so we must disconnect */
-	        Q931Disconnect(pTrunk, iFrom, pMes->CRV, 81);
-	        return ret;
+		        Q931Disconnect(pTrunk, iFrom, pMes->CRV, 81);
+		        return ret;
 		}
 #if 0
 		/* TODO: Unreachable code??? */
-        /* Set state U6 */
-        Q931SetState(pTrunk, callIndex, Q931_U6);
+		/* Set state U6 */
+		Q931SetState(pTrunk, callIndex, Q931_U6);
 
-        Q931StartTimer(pTrunk, callIndex, 303);
+		Q931StartTimer(pTrunk, callIndex, 303);
 #endif
-    }
-
+	}
 	return rc;
 }
 
@@ -464,22 +469,22 @@
 *****************************************************************************/
 L3INT Q931ProcSetupAckTE(Q931_TrunkInfo_t *pTrunk, L3UCHAR * buf, L3INT iFrom)
 {
-    L3INT callIndex;
-    L3INT ret=Q931E_NO_ERROR;
+	L3INT callIndex;
+	L3INT ret=Q931E_NO_ERROR;
 	Q931mes_Header *pMes = (Q931mes_Header *)&buf[Q931L4HeaderSpace];
 
 	ret = Q931FindCRV(pTrunk, pMes->CRV, &callIndex);
 	if(ret != Q931E_NO_ERROR)
 		return ret;
 
-    Q931StartTimer(pTrunk, callIndex, 303);
+	Q931StartTimer(pTrunk, callIndex, 303);
 	if(iFrom == 4)
 	{
-        ret = Q931Tx32(pTrunk,buf,pMes->Size);
+		ret = Q931Tx32Data(pTrunk,buf,pMes->Size);
 	}
-	else if (iFrom ==2)
+	else if (iFrom == 2)
 	{
-        Q931StartTimer(pTrunk, callIndex, 303);
+		Q931StartTimer(pTrunk, callIndex, 303);
 	}
 	return ret;
 }
@@ -491,34 +496,34 @@
 *****************************************************************************/
 L3INT Q931ProcResumeTE(Q931_TrunkInfo_t *pTrunk, L3UCHAR * buf, L3INT iFrom)
 {
-    Q931mes_Generic * pMes = (Q931mes_Generic *)&buf[Q931L4HeaderSpace];
-    L3INT callIndex;
-    L3INT ret = Q931E_NO_ERROR;
+	Q931mes_Generic * pMes = (Q931mes_Generic *)&buf[Q931L4HeaderSpace];
+	L3INT callIndex;
+	L3INT ret = Q931E_NO_ERROR;
 
-    if(Q931GetCallState(pTrunk,pMes->CRV) == Q931_U0 && iFrom == 4)
-    {
-        /* Call reference selection */
-        ret = Q931CreateCRV(pTrunk, &callIndex);
-        if(ret != Q931E_NO_ERROR)
-            return ret;
-        pMes->CRV = pTrunk->call[callIndex].CRV;
+	if(Q931GetCallState(pTrunk,pMes->CRV) == Q931_U0 && iFrom == 4)
+	{
+		/* Call reference selection */
+		ret = Q931CreateCRV(pTrunk, &callIndex);
+		if(ret != Q931E_NO_ERROR)
+			return ret;
+		pMes->CRV = pTrunk->call[callIndex].CRV;
 
-        /* Send RESUME to network */
-        ret=Q931Tx32(pTrunk,buf, pMes->Size);
-        if(ret != Q931E_NO_ERROR)
-            return ret;
+		/* Send RESUME to network */
+		ret=Q931Tx32Data(pTrunk,buf, pMes->Size);
+		if(ret != Q931E_NO_ERROR)
+			return ret;
 
-        /* Start timer T318 */
-        Q931StartTimer(pTrunk, callIndex, 318);
+		/* Start timer T318 */
+		Q931StartTimer(pTrunk, callIndex, 318);
 
-        /*set state U17 */
-        Q931SetState(pTrunk, callIndex, Q931_U17);
-    }
-    else
-    {
-        return Q931E_ILLEGAL_MESSAGE;
-    }
-    return ret;
+		/*set state U17 */
+		Q931SetState(pTrunk, callIndex, Q931_U17);
+	}
+	else
+	{
+		return Q931E_ILLEGAL_MESSAGE;
+	}
+	return ret;
 }
 
 /*****************************************************************************
@@ -528,8 +533,8 @@
 *****************************************************************************/
 L3INT Q931ProcResumeAckTE(Q931_TrunkInfo_t *pTrunk, L3UCHAR * buf, L3INT iFrom)
 {
-    L3INT callIndex;
-    L3INT ret=Q931E_NO_ERROR;
+	L3INT callIndex;
+	L3INT ret=Q931E_NO_ERROR;
 	Q931mes_Header *pMes = (Q931mes_Header *)&buf[Q931L4HeaderSpace];
 
 	/* Find the call using CRV */
@@ -537,19 +542,19 @@
 	if(ret != Q931E_NO_ERROR)
 		return ret;
 
-	/* TODO chack against state table for illegal or unexpected message here*/
+	/* TODO chack against state table for illegal or unexpected message here */
 
 	/* TODO - Set correct timer here */
-    Q931StartTimer(pTrunk, callIndex, 303);
+	Q931StartTimer(pTrunk, callIndex, 303);
 	if(iFrom == 4)
 	{
-		/* TODO Add proc here*/
-        ret = Q931Tx32(pTrunk,buf,pMes->Size);
+		/* TODO Add proc here */
+		ret = Q931Tx32Data(pTrunk,buf,pMes->Size);
 	}
-	else if (iFrom ==2)
+	else if (iFrom == 2)
 	{
-		/* TODO Add proc here*/
-        ret = Q931Tx34(pTrunk,buf,pMes->Size);
+		/* TODO Add proc here */
+		ret = Q931Tx34(pTrunk,buf,pMes->Size);
 	}
 	return ret;
 }
@@ -561,8 +566,8 @@
 *****************************************************************************/
 L3INT Q931ProcResumeRejectTE(Q931_TrunkInfo_t *pTrunk, L3UCHAR * buf, L3INT iFrom)
 {
-    L3INT callIndex;
-    L3INT ret=Q931E_NO_ERROR;
+	L3INT callIndex;
+	L3INT ret=Q931E_NO_ERROR;
 	Q931mes_Header *pMes = (Q931mes_Header *)&buf[Q931L4HeaderSpace];
 
 	/* Find the call using CRV */
@@ -570,19 +575,19 @@
 	if(ret != Q931E_NO_ERROR)
 		return ret;
 
-	/* TODO chack against state table for illegal or unexpected message here*/
+	/* TODO chack against state table for illegal or unexpected message here */
 
 	/* TODO - Set correct timer here */
-    Q931StartTimer(pTrunk, callIndex, 303);
+	Q931StartTimer(pTrunk, callIndex, 303);
 	if(iFrom == 4)
 	{
-		/* TODO Add proc here*/
-        ret = Q931Tx32(pTrunk,buf,pMes->Size);
+		/* TODO Add proc here */
+		ret = Q931Tx32Data(pTrunk,buf,pMes->Size);
 	}
-	else if (iFrom ==2)
+	else if (iFrom == 2)
 	{
-		/* TODO Add proc here*/
-        ret = Q931Tx34(pTrunk,buf,pMes->Size);
+		/* TODO Add proc here */
+		ret = Q931Tx34(pTrunk,buf,pMes->Size);
 	}
 	return ret;
 }
@@ -594,8 +599,8 @@
 *****************************************************************************/
 L3INT Q931ProcSuspendTE(Q931_TrunkInfo_t *pTrunk, L3UCHAR * buf, L3INT iFrom)
 {
-    L3INT callIndex;
-    L3INT ret=Q931E_NO_ERROR;
+	L3INT callIndex;
+	L3INT ret=Q931E_NO_ERROR;
 	Q931mes_Header *pMes = (Q931mes_Header *)&buf[Q931L4HeaderSpace];
 
 	/* Find the call using CRV */
@@ -603,19 +608,19 @@
 	if(ret != Q931E_NO_ERROR)
 		return ret;
 
-	/* TODO chack against state table for illegal or unexpected message here*/
+	/* TODO chack against state table for illegal or unexpected message here */
 
 	/* TODO - Set correct timer here */
-    Q931StartTimer(pTrunk, callIndex, 303);
+	Q931StartTimer(pTrunk, callIndex, 303);
 	if(iFrom == 4)
 	{
-		/* TODO Add proc here*/
-        ret = Q931Tx32(pTrunk,buf,pMes->Size);
+		/* TODO Add proc here */
+		ret = Q931Tx32Data(pTrunk,buf,pMes->Size);
 	}
-	else if (iFrom ==2)
+	else if (iFrom == 2)
 	{
-		/* TODO Add proc here*/
-        ret = Q931Tx34(pTrunk,buf,pMes->Size);
+		/* TODO Add proc here */
+		ret = Q931Tx34(pTrunk,buf,pMes->Size);
 	}
 	return ret;
 }
@@ -627,8 +632,8 @@
 *****************************************************************************/
 L3INT Q931ProcSuspendAckTE(Q931_TrunkInfo_t *pTrunk, L3UCHAR * buf, L3INT iFrom)
 {
-    L3INT callIndex;
-    L3INT ret=Q931E_NO_ERROR;
+	L3INT callIndex;
+	L3INT ret=Q931E_NO_ERROR;
 	Q931mes_Header *pMes = (Q931mes_Header *)&buf[Q931L4HeaderSpace];
 
 	/* Find the call using CRV */
@@ -636,19 +641,19 @@
 	if(ret != Q931E_NO_ERROR)
 		return ret;
 
-	/* TODO chack against state table for illegal or unexpected message here*/
+	/* TODO chack against state table for illegal or unexpected message here */
 
 	/* TODO - Set correct timer here */
-    Q931StartTimer(pTrunk, callIndex, 303);
+	Q931StartTimer(pTrunk, callIndex, 303);
 	if(iFrom == 4)
 	{
-		/* TODO Add proc here*/
-        ret = Q931Tx32(pTrunk,buf,pMes->Size);
+		/* TODO Add proc here */
+		ret = Q931Tx32Data(pTrunk,buf,pMes->Size);
 	}
-	else if (iFrom ==2)
+	else if (iFrom == 2)
 	{
-		/* TODO Add proc here*/
-        ret = Q931Tx34(pTrunk,buf,pMes->Size);
+		/* TODO Add proc here */
+		ret = Q931Tx34(pTrunk,buf,pMes->Size);
 	}
 	return ret;
 }
@@ -660,8 +665,8 @@
 *****************************************************************************/
 L3INT Q931ProcSuspendRejectTE(Q931_TrunkInfo_t *pTrunk, L3UCHAR * buf, L3INT iFrom)
 {
-    L3INT callIndex;
-    L3INT ret=Q931E_NO_ERROR;
+	L3INT callIndex;
+	L3INT ret=Q931E_NO_ERROR;
 	Q931mes_Header *pMes = (Q931mes_Header *)&buf[Q931L4HeaderSpace];
 
 	/* Find the call using CRV */
@@ -669,19 +674,19 @@
 	if(ret != Q931E_NO_ERROR)
 		return ret;
 
-	/* TODO chack against state table for illegal or unexpected message here*/
+	/* TODO chack against state table for illegal or unexpected message here */
 
 	/* TODO - Set correct timer here */
-    Q931StartTimer(pTrunk, callIndex, 303);
+	Q931StartTimer(pTrunk, callIndex, 303);
 	if(iFrom == 4)
 	{
-		/* TODO Add proc here*/
-        ret = Q931Tx32(pTrunk,buf,pMes->Size);
+		/* TODO Add proc here */
+		ret = Q931Tx32Data(pTrunk,buf,pMes->Size);
 	}
-	else if (iFrom ==2)
+	else if (iFrom == 2)
 	{
-		/* TODO Add proc here*/
-        ret = Q931Tx34(pTrunk,buf,pMes->Size);
+		/* TODO Add proc here */
+		ret = Q931Tx34(pTrunk,buf,pMes->Size);
 	}
 	return ret;
 }
@@ -693,8 +698,8 @@
 *****************************************************************************/
 L3INT Q931ProcUserInformationTE(Q931_TrunkInfo_t *pTrunk, L3UCHAR * buf, L3INT iFrom)
 {
-    L3INT callIndex;
-    L3INT ret=Q931E_NO_ERROR;
+	L3INT callIndex;
+	L3INT ret=Q931E_NO_ERROR;
 	Q931mes_Header *pMes = (Q931mes_Header *)&buf[Q931L4HeaderSpace];
 
 	/* Find the call using CRV */
@@ -702,19 +707,19 @@
 	if(ret != Q931E_NO_ERROR)
 		return ret;
 
-	/* TODO chack against state table for illegal or unexpected message here*/
+	/* TODO chack against state table for illegal or unexpected message here */
 
 	/* TODO - Set correct timer here */
-    Q931StartTimer(pTrunk, callIndex, 303);
+	Q931StartTimer(pTrunk, callIndex, 303);
 	if(iFrom == 4)
 	{
-		/* TODO Add proc here*/
-        ret = Q931Tx32(pTrunk,buf,pMes->Size);
+		/* TODO Add proc here */
+		ret = Q931Tx32Data(pTrunk,buf,pMes->Size);
 	}
-	else if (iFrom ==2)
+	else if (iFrom == 2)
 	{
-		/* TODO Add proc here*/
-        ret = Q931Tx34(pTrunk,buf,pMes->Size);
+		/* TODO Add proc here */
+		ret = Q931Tx34(pTrunk,buf,pMes->Size);
 	}
 	return ret;
 }
@@ -726,8 +731,8 @@
 *****************************************************************************/
 L3INT Q931ProcDisconnectTE(Q931_TrunkInfo_t *pTrunk, L3UCHAR * buf, L3INT iFrom)
 {
-    L3INT callIndex;
-    L3INT ret=Q931E_NO_ERROR;
+	L3INT callIndex;
+	L3INT ret=Q931E_NO_ERROR;
 	Q931mes_Header *pMes = (Q931mes_Header *)&buf[Q931L4HeaderSpace];
 
 	/* Find the call using CRV */
